cdef extern from "math.h":
     double sin(double)

cdef double f(double x):
    return sin(x**2)


#def f(double x):
#    return sin(x**2)
    
def integrate_f(double a, double b, int N):
    cdef int i
    cdef double s, dx
    s = 0.0
    dx = (b-a)/N
    for i in range(N):
        s += f(a+i*dx)
    return s * dx



#    
#def integrate_f(double a, double b, int N):
#    cdef double s = 0
#    cdef double dx = (b-a)/N
#    cdef int i
#    for i in range(N):
#        s += f(a+i*dx)
#    return s * dx
